API referenceEndpoints

Deny run

Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/agentrun/inbound/http.go`.

POST/v1/runs/{id}/deny

Requires an authenticated tenant principal. Generated from the production route registered in internal/features/agentrun/inbound/http.go.

Authorization

bearerAuth
AuthorizationBearer <token>

Engine-issued API key or tenant-signed JWT.

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/deny"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "status": "string",  "surface": {    "revision_id": "f8f7f022-982b-4bef-ba7d-4bb808fdbe2a",    "revision": 2,    "catalog_version": "1.1.0",    "created_at": "2019-08-24T14:15:22Z",    "refreshed_at": "2019-08-24T14:15:22Z"  },  "has_surface": true}